Bug 14142 - Holds queue viewer only displays first subtitle from marc keyword mappings
Summary: Holds queue viewer only displays first subtitle from marc keyword mappings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-04 16:53 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14142 - Holds queue viewer only displays first subtitle from marc keyword mappings (2.68 KB, patch)
2015-05-04 16:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14142 - Holds queue viewer only displays first subtitle from marc keyword mappings (2.73 KB, patch)
2015-06-03 15:24 UTC, Melissa Lefebvre
Details | Diff | Splinter Review
Bug 14142 - Holds queue viewer only displays first subtitle from marc keyword mappings (2.81 KB, patch)
2015-06-04 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-05-04 16:53:39 UTC
Despite the point of the Keyword to MARC Mappings being to simplify the handling and display of repeated values from multiple subfields, the holds queue viewer will only display the first value found. What it should be doing instead is displaying all fields that match the subtitle keyword.
Comment 1 Kyle M Hall 2015-05-04 16:55:57 UTC Comment hidden (obsolete)
Comment 2 Melissa Lefebvre 2015-06-03 15:24:12 UTC Comment hidden (obsolete)
Comment 3 HB-NEKLS 2015-06-03 15:29:07 UTC
I've tested this patch and it works.
Comment 4 Jonathan Druart 2015-06-04 10:50:32 UTC
Created attachment 39845 [details] [review]
Bug 14142 - Holds queue viewer only displays first subtitle from marc keyword mappings

Despite the point of the Keyword to MARC Mappings being to simplify the
handling and display of repeated values from multiple subfields, the
holds queue viewer will only display the first value found. What it
should be doing instead is displaying all fields that match the subtitle
keyword.

Test Plan:
1) Apply this patch
2) Define multiple Keyword to MARC mappings for the subtitle keyword
3) Place a hold on a record using those subtitle fields
4) View the hold in the holds queue viewer
5) Note that all the subtitles now appear

Signed-off-by:Heather Braum <hbraum@nekls.org>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-06-04 14:17:12 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2015-06-07 08:24:30 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 7 Liz Rea 2015-06-15 21:21:40 UTC
Hi,

This patch doesn't apply for 3.18. If you feel that it should be included, please resolve any issues and resubmit a patch for inclusion in 3.18.x.

Liz